<h4 class="font-weight-bold py-3 mb-4">
  Account settings
</h4>

<div class="card overflow-hidden">
  <div class="row no-gutters row-bordered row-border-light">
    <div class="col-md-3 pt-0">
      <div class="list-group list-group-flush account-settings-links">
        <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'general'}" (click)="curTab = 'general'">General</button>
        <!-- <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'password'}" (click)="curTab = 'password'">Change password</button> -->
        <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'info'}" (click)="curTab = 'info'">Info</button>
        <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'links'}" (click)="curTab = 'links'">Social links</button>
        <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'connections'}" (click)="curTab = 'connections'">Connections</button>
        <button type="button" class="list-group-item list-group-item-action" [ngClass]="{active: curTab === 'notifications'}" (click)="curTab = 'notifications'">Notifications</button>
      </div>
    </div>
    <div class="col-md-9" *ngIf="curTab === 'general'">

      <div class="card-body media align-items-center">
        <img [src]="'assets/img/avatars/' + accountData.avatar" alt="" class="d-block ui-w-80">
        <div class="media-body ml-4">
          <button type="button" class="btn btn-outline-primary">Upload new photo</button> &nbsp;
          <button type="button" class="btn btn-default md-btn-flat">Reset</button>
          <div class="text-light small mt-1">Allowed JPG, GIF or PNG. Max size of 800K</div>
        </div>
      </div>
      <hr class="border-light m-0">

      <div class="card-body">
        <div class="form-group">
          <label class="form-label">Username</label>
          <input [(ngModel)]="accountData.username" type="text" class="form-control mb-1" value="nmaxwell">
        </div>
        <div class="form-group">
          <label class="form-label">Name</label>
          <input [(ngModel)]="accountData.name" type="text" class="form-control" value="Nelle Maxwell">
        </div>
        <div class="form-group">
          <label class="form-label">E-mail</label>
          <input [(ngModel)]="accountData.email" type="text" class="form-control mb-1" value="nmaxwell@mail.com">
          <div class="alert alert-warning mt-3" *ngIf="!accountData.verified">
            Your email is not confirmed. Please check your inbox.<br>
            <a href="javascript:void(0)">Resend confirmation</a>
          </div>
        </div>
        <div class="form-group">
          <label class="form-label">Company</label>
          <input [(ngModel)]="accountData.company" type="text" class="form-control" value="Company Ltd.">
        </div>
      </div>

    </div>
    <div class="col-md-9" *ngIf="curTab === 'password'">
      <div class="card-body pb-2">

        <div class="form-group">
          <label class="form-label">Current password</label>
          <input type="password" class="form-control">
        </div>

        <div class="form-group">
          <label class="form-label">New password</label>
          <input type="password" class="form-control">
        </div>

        <div class="form-group">
          <label class="form-label">Repeat new password</label>
          <input type="password" class="form-control">
        </div>

      </div>
    </div>
    <div class="col-md-9" *ngIf="curTab === 'info'">
      <div class="card-body pb-2">

        <div class="form-group">
          <label class="form-label">Bio</label>
          <textarea [(ngModel)]="accountData.info.bio" class="form-control" rows="5"></textarea>
        </div>
        <div class="form-group">
          <label class="form-label">Birthday</label>
          <input [(ngModel)]="accountData.info.birthday" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">Country</label>
          <select class="custom-select" [(ngModel)]="accountData.info.country">
            <option *ngFor="let country of ['USA', 'Canada', 'UK', 'Germany', 'France']" [value]="country">{{country}}</option>
          </select>
        </div>
        <div class="form-group">
          <label class="form-label">Languages</label>
          <ng-select [multiple]="true" [options]="languages" [(ngModel)]="accountData.info.languages"></ng-select>
        </div>

      </div>
      <hr class="border-light m-0">
      <div class="card-body pb-2">

        <h6 class="mb-4">Contacts</h6>
        <div class="form-group">
          <label class="form-label">Phone</label>
          <input [(ngModel)]="accountData.info.phone" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">Website</label>
          <input [(ngModel)]="accountData.info.website" type="text" class="form-control">
        </div>

      </div>
      <hr class="border-light m-0">
      <div class="card-body pb-2">

        <h6 class="mb-4">Interests</h6>
        <div class="form-group">
          <label class="form-label">Favorite music</label>
          <!-- <tag-input [(ngModel)]="accountData.info.music"></tag-input> -->
        </div>
        <div class="form-group">
          <label class="form-label">Favorite movies</label>
          <!-- <tag-input [(ngModel)]="accountData.info.movies"></tag-input> -->
        </div>

      </div>
    </div>
    <div class="col-md-9" *ngIf="curTab === 'links'">
      <div class="card-body pb-2">

        <div class="form-group">
          <label class="form-label">Twitter</label>
          <input [(ngModel)]="accountData.info.twitter" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">Facebook</label>
          <input [(ngModel)]="accountData.info.facebook" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">Google+</label>
          <input [(ngModel)]="accountData.info.google" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">LinkedIn</label>
          <input [(ngModel)]="accountData.info.linkedin" type="text" class="form-control">
        </div>
        <div class="form-group">
          <label class="form-label">Instagram</label>
          <input [(ngModel)]="accountData.info.instagram" type="text" class="form-control">
        </div>

      </div>
    </div>
    <div class="col-md-9" *ngIf="curTab === 'connections'">
      <div class="card-body">
        <button type="button" class="btn btn-twitter">Connect to <strong>Twitter</strong></button>
      </div>
      <hr class="border-light m-0">
      <div class="card-body">
        <h5 class="mb-2">
          <a href="javascript:void(0)" class="float-right text-muted text-tiny"><i class="ion ion-md-close"></i> Remove</a>
          <i class="ion ion-logo-google text-google"></i>
          You are connected to Google:
        </h5>
        nmaxwell@mail.com
      </div>
      <hr class="border-light m-0">
      <div class="card-body">
        <button type="button" class="btn btn-facebook">Connect to <strong>Facebook</strong></button>
      </div>
      <hr class="border-light m-0">
      <div class="card-body">
        <button type="button" class="btn btn-instagram">Connect to <strong>Instagram</strong></button>
      </div>
    </div>
    <div class="col-md-9" *ngIf="curTab === 'notifications'">
      <div class="card-body pb-2">

        <h6 class="mb-4">Activity</h6>

        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.comments">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">Email me when someone comments on my article</span>
          </label>
        </div>
        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.forum">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">Email me when someone answers on my forum thread</span>
          </label>
        </div>
        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.followings">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">Email me when someone follows me</span>
          </label>
        </div>
      </div>
      <hr class="border-light m-0">
      <div class="card-body pb-2">

        <h6 class="mb-4">Application</h6>

        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.news">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">News and announcements</span>
          </label>
        </div>
        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.products">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">Weekly product updates</span>
          </label>
        </div>
        <div class="form-group">
          <label class="switcher">
            <input type="checkbox" class="switcher-input" [(ngModel)]="accountData.notifications.blog">
            <span class="switcher-indicator">
              <span class="switcher-yes"></span>
              <span class="switcher-no"></span>
            </span>
            <span class="switcher-label">Weekly blog digest</span>
          </label>
        </div>

      </div>
    </div>
  </div>
</div>

<div class="text-right mt-3">
  <button type="button" class="btn btn-outline-primary">Save changes</button>&nbsp;
  <button type="button" class="btn btn-outline-primary">Cancel</button>
</div>
